Skip to main content
Infrastructure/Lifecycle Upgrade

ListAvailableBundleVersions

List available bundle upgrade targets

GET/api/v1/lifecycle/upgrades/bundles

Operation ID

ListAvailableBundleVersions

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • bundleName
    String

    Bundle name used to filter the results

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • uuid
      String

      Unique identifier of this resource

      Example: value

    • bundleName
      String

      Bundle name for this resource

      Example: value

    • bundleVersion
      String

      Bundle version for this resource

      Example: value

    • minSourceBundleVersion
      String

      Min source bundle version for this resource

      Example: value

    • status
      String

      Status for this resource

      Example: value

    • updateType
      String

      Update type for this resource

      Example: value

    • manifestSetChecksum
      String

      Manifest set checksum for this resource

      Example: value

    • membershipChangeCount
      Integer

      Membership change count for this resource

      Example: 10

    • componentCount
      Integer

      Component count for this resource

      Example: 10

    • componentReleaseChanges
      List

      Component release changes for this resource

      Example: (nested array)

      • componentUuid
        String

        Component uuid for this resource

        Example: value

      • componentName
        String

        Component name for this resource

        Example: value

      • fromVersion
        String

        From version for this resource

        Example: value

      • fromRelease
        String

        From release for this resource

        Example: value

      • toVersion
        String

        To version for this resource

        Example: value

      • toRelease
        String

        To release for this resource

        Example: value

    • unavailableReasons
      List

      Unavailable reasons for this resource

      Example: (nested array)

      • code
        String

        Machine-readable reason or status code

        Example: value

      • message
        String

        Message for this resource

        Example: value

    • createdAt
      String

      Created at for this resource

      Example: 2026-01-15T08:00:00Z

    • updatedAt
      String

      Updated at for this resource

      Example: 2026-01-15T08:00:00Z

    • bundleRelease
      String

      Bundle release for this resource

      Example: value

  • total
    Integer

    Total for this resource

    Example: 10

  • limit
    Integer

    Limit for this resource

    Example: 10

  • offset
    Integer

    Offset for this resource

    Example: 10

  • currentBundleVersion
    Object

    Current bundle version for this resource

    • bundleName
      String

      Bundle name for this resource

      Example: value

    • version
      String

      Version for this resource

      Example: value

    • status
      String

      Status for this resource

      Example: value

    • manifestSetChecksum
      String

      Manifest set checksum for this resource

      Example: value

    • updatedAt
      String

      Updated at for this resource

      Example: 2026-01-15T08:00:00Z

    • release
      String

      Release for this resource

      Example: value

  • recommendedBundleVersionUuid
    String

    Recommended bundle version uuid for this resource

    Example: value

  • unavailableItems
    List

    Unavailable items for this resource

    Example: (nested array)

    • uuid
      String

      Unique identifier of this resource

      Example: value

    • bundleName
      String

      Bundle name for this resource

      Example: value

    • bundleVersion
      String

      Bundle version for this resource

      Example: value

    • minSourceBundleVersion
      String

      Min source bundle version for this resource

      Example: value

    • status
      String

      Status for this resource

      Example: value

    • updateType
      String

      Update type for this resource

      Example: value

    • manifestSetChecksum
      String

      Manifest set checksum for this resource

      Example: value

    • membershipChangeCount
      Integer

      Membership change count for this resource

      Example: 10

    • componentCount
      Integer

      Component count for this resource

      Example: 10

    • componentReleaseChanges
      List

      Component release changes for this resource

      Example: (nested array)

      • componentUuid
        String

        Component uuid for this resource

        Example: value

      • componentName
        String

        Component name for this resource

        Example: value

      • fromVersion
        String

        From version for this resource

        Example: value

      • fromRelease
        String

        From release for this resource

        Example: value

      • toVersion
        String

        To version for this resource

        Example: value

      • toRelease
        String

        To release for this resource

        Example: value

    • unavailableReasons
      List

      Unavailable reasons for this resource

      Example: (nested array)

      • code
        String

        Machine-readable reason or status code

        Example: value

      • message
        String

        Message for this resource

        Example: value

    • createdAt
      String

      Created at for this resource

      Example: 2026-01-15T08:00:00Z

    • updatedAt
      String

      Updated at for this resource

      Example: 2026-01-15T08:00:00Z

    • bundleRelease
      String

      Bundle release for this resource

      Example: value

  • Change Time

    AddedResponse fields bundleRelease, release
    View API